#ifndef GEOMETRY_H
#define GEOMETRY_H
#ifndef pi
#define pi 3.141592653589793238462643383279502884197169399375105820974944
#endif

extern int GEO_fsgn(float number);
extern float GEO_hypotenuse(float x1, float y1, float x2, float y2);
extern float GEO_rel_ang(float x1, float y1, float x2, float y2);
extern int GEO_sideofline(int x1, int y1, int x2, int y2, int pointx, int pointy);
extern float GEO_distance_from_line(float x1, float y1, float x2, float y2, float px, float py);
extern int GEO_projection_within_segment(float x1, float y1, float x2, float y2, float px, float py);

#endif //ifndef GEOMETRY_H
